com.r3corda.demos.protocols / UpdateBusinessDayProtocol / Broadcast

# Broadcast

`class Broadcast : ProtocolLogic<Unit>`

### Types

NOTIFYING | `object NOTIFYING : Step`

### Constructors

<init> | `Broadcast(date: LocalDate, progressTracker: ProgressTracker = Broadcast.tracker())`

### Properties

date | `val date: LocalDate`
progressTracker | `val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this protocol is invoked as a sub-protocol of another, then the tracker will be made a child of the current step in the parent. If its null, this protocol doesnt track progress.

### Inherited Properties

logger | `val logger: <ERROR CLASS>` This is where you should log things to.
psm | `lateinit var psm: ProtocolStateMachine<*>` Reference to the Fiber instance that is the top level controller for the entire flow.
serviceHub | `val serviceHub: ServiceHub` Provides access to big, heavy classes that may be reconstructed from time to time, e.g. across restarts. It is only available once the protocol has started, which means it cannnot be accessed in the constructor. Either access this lazily or from inside call.

### Functions

call | `fun call(): Unit` This is where you fill out your business logic.

### Inherited Functions

getCounterpartyMarker | `open fun getCounterpartyMarker(party: Party): Class<*>` Return the marker Class which party has used to register the counterparty protocol that is to execute on the other side. The default implementation returns the class object of this ProtocolLogic, but any Class instance will do as long as the other side registers with it.
receive | `fun <T : Any> receive(otherParty: Party): UntrustworthyData<T>` `fun <T : Any> receive(otherParty: Party, receiveType: Class<T>): UntrustworthyData<T>`
send | `fun send(otherParty: Party, payload: Any): Unit`
sendAndReceive | `fun <T : Any> sendAndReceive(otherParty: Party, payload: Any): UntrustworthyData<T>` `fun <T : Any> sendAndReceive(otherParty: Party, payload: Any, receiveType: Class<T>): UntrustworthyData<T>`
subProtocol | `fun <R> subProtocol(subLogic: ProtocolLogic<R>, shareParentSessions: Boolean = false): R` Invokes the given subprotocol by simply passing through this ProtocolLogics reference to the ProtocolStateMachine and then calling the call method.
track | `fun track(): <ERROR CLASS><String, <ERROR CLASS><String>>?`

### Companion Object Functions

tracker | `fun tracker(): ProgressTracker`